ACTOR weaponbat : Weapon
{
  Weapon.Kickback 100
  Inventory.PickupMessage "Picked up a bat."
  Obituary "%k batted %o."
  Tag "Bat"
  Weapon.UpSound "meleeup"
    Weapon.BobRangeX 0.2
  Weapon.BobRangeY 0.5
  Weapon.BobSpeed 2
  Weapon.BobStyle Alpha
  meleesound "hamhit"
  +NOALERT
  States
  {
  Ready:
    batt a 1 A_WeaponReady
    Loop
  Deselect:
    batt a 1 A_Lower
	TNT1 AA 0 A_lower
    Loop
  Select:
    batt a 1 A_Raise
	TNT1 AA 0 A_raise
    Loop
  Fire:
	batt b 1 A_playsound ("axeswing")
	batt c 1 A_CustomPunch (15, false, 0, "hammerpuff")
	batt d 1
	batt e 1
	batt f 1
	batt g 1
	batt h 25
	batt i 2
	batt j 2
	batt k 2
	batt l 2
	batt a 3 
    Goto Ready
	
	   AltFire:
   PISG A 0 A_TakeInventory ("pickupbat",1)
   PISG A 0 A_TakeInventory ("Melee_Filled",1)
   PISG A 0 A_FireCustomMissile ("droppedbat",0,0)
   PISG A 0 A_TakeInventory ("weaponbat",1)
  }
}

ACTOR hammerpuff
{
+PUFFONACTORS
States
{
Spawn:
TNT1 A 0
TNT1 A 0 A_PlaySound ("hamhit")
Stop
}
}

ACTOR pickupbat : CustomInventory
{
scale 0.8
Inventory.PickupMessage "Picked up a bat."
States
{
Spawn:
 batt z -1
Stop
Pickup:
batt z 0 A_JumpIfInventory ("Melee_Filled",1,"NotPickup")
batt z 0 A_GiveInventory ("weaponbat",1)
batt z 0 A_GiveInventory ("Melee_Filled",1)
Stop
NotPickup:
batt z 0
batt z 1
Fail
}
}

ACTOR droppedbat
{
    PROJECTILE
    -NOGRAVITY
    Damage 0
    Radius 16
    Height 8
    Speed 9
    DeathSound "gundrop"
	scale 0.8
    States
    {
    Spawn:
        batt z 1
        Loop
    Death:
        batt z 0
        batt z 1 A_SpawnItem("pickupbat",0,0,0,0)
        Stop
    }
}